Update a row
Pass claim and readAt together: the lease says nobody else is writing, the watermark says the row has not moved since you read it.
PATCH
/v1/models/{model}/{id}Path parameters
modelstringrequiredA model name from your pushed schema, e.g. `task`.
idstringrequiredRequest body
requiredapplication/jsondataobject | anyShow propertiesHide properties
Any of:
object
objectany
anyidstring | anyShow propertiesHide properties
Any of:
string
stringany
anyclaimstring | anyShow propertiesHide properties
Any of:
string
stringany
anyonStalestring | anyShow propertiesHide properties
Any of:
string
stringany
anyreadAtnumber | anyShow propertiesHide properties
Any of:
number
numberany
anyfenceTokennumber | anyShow propertiesHide properties
Any of:
number
numberany
anyidempotencyKeystringResponses
200Commit receipt
One of:
object
objectstringrequiredidstringmin length 1
clientTxIdstringrequiredmin length 1
serverTxIdstringrequiredmin length 1
successbooleanrequiredlastSyncIdintegerrequiredmin 0 · max 9007199254740991
opsintegerrequiredmin 0 · max 9007199254740991
notificationsobject[]Show propertiesHide properties
Array of
objectobjectstringmodelstringrequiredidstringrequiredreadAtnumberrequiredobservedSyncIdnumberrequiredconflictingFieldsstring[]requiredcurrentValuesobjectrequiredwrittenByobjectrequiredShow propertiesHide properties
kindstringrequiredAllowed:
useragentsystemidstringrequiredgroupstringmissingIdsstring[]statusstringrequiredcorrelationIdstringrequiredmin length 1 · max length 255
object
objectstringrequiredidstringmin length 1
clientTxIdstringrequiredmin length 1
serverTxIdstringrequiredmin length 1
successbooleanrequiredlastSyncIdintegerrequiredmin 0 · max 9007199254740991
opsintegerrequiredmin 0 · max 9007199254740991
notificationsobject[]Show propertiesHide properties
Array of
objectobjectstringmodelstringrequiredidstringrequiredreadAtnumberrequiredobservedSyncIdnumberrequiredconflictingFieldsstring[]requiredcurrentValuesobjectrequiredwrittenByobjectrequiredShow propertiesHide properties
kindstringrequiredAllowed:
useragentsystemidstringrequiredgroupstringmissingIdsstring[]statusstringrequiredcorrelationIdstringmin length 1 · max length 255
400The request did not satisfy the published contract.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring401The Bearer credential is missing, malformed, or expired.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring403The credential does not authorize this operation.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring404The addressed resource does not exist in the credential scope.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring409The request conflicts with current claim, version, or idempotency state.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring429The caller exceeded an enforced rate limit.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring500The server could not complete the request.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstring503A required service is temporarily unavailable.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstringdefaultAn HTTP error not otherwise listed; decoded through the canonical envelope.
typestringrequiredcodestringparamstringmessagestringrequireddoc_urlstringrequest_idstringerrorsobject[]Show propertiesHide properties
Array of
objectcodestringmessagestringrequiredparamstringRequest
curl -X PATCH "https://api.abloatai.com/api/v1/models/string/string" \
-H "Content-Type: application/json" \
-d '{
"data": {},
"id": "string",
"claim": "string",
"onStale": "reject",
"readAt": 0,
"fenceToken": 0,
"idempotencyKey": "string"
}'const response = await fetch("https://api.abloatai.com/api/v1/models/string/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"data": {},
"id": "string",
"claim": "string",
"onStale": "reject",
"readAt": 0,
"fenceToken": 0,
"idempotencyKey": "string"
})
});import requests
response = requests.patch(
"https://api.abloatai.com/api/v1/models/string/string",
headers={
"Content-Type": "application/json"
},
json={
"data": {},
"id": "string",
"claim": "string",
"onStale": "reject",
"readAt": 0,
"fenceToken": 0,
"idempotencyKey": "string"
},
)Response
{
"object": "commit_receipt",
"id": "string",
"clientTxId": "string",
"serverTxId": "string",
"success": true,
"lastSyncId": 0,
"ops": 0,
"notifications": [
{
"object": "stale_notification",
"model": "string",
"id": "string",
"readAt": 0,
"observedSyncId": 0,
"conflictingFields": [
"string"
],
"currentValues": {},
"writtenBy": {
"kind": "user",
"id": "string"
},
"group": "string"
}
],
"missingIds": [
"string"
],
"status": "queued",
"correlationId": "string"
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}{
"type": "string",
"code": "string",
"param": "string",
"message": "string",
"doc_url": "string",
"request_id": "string",
"errors": [
{
"code": "string",
"message": "string",
"param": "string"
}
]
}